OpenTTD Source: MusicDriver_FluidSynth Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions
MusicDriver_FluidSynth Class Reference

Music driver making use of FluidSynth. More...

`#include <fluidsynth.h>`

Inheritance diagram for MusicDriver_FluidSynth:

## Public Member Functions
const char * | Start (const StringList &param) override
| Start this driver. More...
void | Stop () override
| Stop this driver.
void | PlaySong (const MusicSongInfo &song) override
| Play a particular song. More...
void | StopSong () override
| Stop playing the current song.
bool | IsSongPlaying () override
| Are we currently playing a song? More...
void | SetVolume (byte vol) override
| Set the volume, if possible. More...
const char * | GetName () const override
| Get the name of this driver. More...

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from MusicDriver
static MusicDriver * | GetInstance ()
| Get the currently active instance of the music driver.

## Detailed Description

Music driver making use of FluidSynth.

Definition at line 16 of file fluidsynth.h.

## Member Function Documentation

## ◆ GetName()

const char* MusicDriver_FluidSynth::GetName | ( |  | ) | const
| inlineoverridevirtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 29 of file fluidsynth.h.

## ◆ IsSongPlaying()

bool MusicDriver_FluidSynth::IsSongPlaying | ( |  | ) |
| overridevirtual

Are we currently playing a song?

Returns
  True if a song is being played.

Implements MusicDriver.

Definition at line 178 of file fluidsynth.cpp.

References _midi, and lock.

## ◆ PlaySong()

void MusicDriver_FluidSynth::PlaySong | ( | const MusicSongInfo & | song | ) |
| overridevirtual

Play a particular song.

Parameters

  song | The information for the song to play.

Implements MusicDriver.

Definition at line 132 of file fluidsynth.cpp.

References _midi, Debug, MidiFile::GetSMFFile(), lock, and StopSong().

## ◆ SetVolume()

void MusicDriver_FluidSynth::SetVolume | ( | byte | vol | ) |
| overridevirtual

Set the volume, if possible.

Parameters

  vol | The new volume.

Implements MusicDriver.

Definition at line 186 of file fluidsynth.cpp.

References _midi, Debug, and lock.

## ◆ Start()

const char * MusicDriver_FluidSynth::Start | ( | const StringList & | parm | ) |
| overridevirtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  nullptr if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 61 of file fluidsynth.cpp.

References _midi, Debug, GetDriverParam(), lock, and MxSetMusicSource().

The documentation for this class was generated from the following files:

- src/music/fluidsynth.h
- src/music/fluidsynth.cpp